/*
 *
 *                         DES SOFTWARE PACKAGE
 *                             Version 2.2
 *
 *                                        _
 * Copyright (c) 1990,1991,1992,1993 Stig Ostholm.
 * All Rights Reserved
 *
 *
 * The author takes no responsibility of actions caused by the use of this
 * software package and does not guarantee the correctness of the functions.
 *
 * This software package may be freely distributed for non-commercial purpose
 * as long as the copyright notice is kept. Any changes made should be
 * accompanied by a comment indicating who made the change, when it was made
 * and what was changed.
 *
 * This software package, or any parts of it, may not be used or in any way
 * re-distributed for commercial purpose without the authors permission.
 * The author keeps the right to decide between of what is commercial and
 * what is non-commercial purpose.
 *
 * Restrictions due to national laws governing the use, import or export of
 * cryptographic software is the responsibility of the software user/importer/
 * exporter to follow.
 *
 *
 *                                              _
 *                                         Stig Ostholm
 *                                         Chalmers University of Technology
 *                                         Department of Computer Engineering
 *                                         S-412 96 Gothenburg
 *                                         Sweden
 *                                         ----------------------------------
 *                                         Email: ostholm@ce.chalmers.se
 *                                         Phone: +46 31 772 1703
 *                                         Fax:   +46 31 772 3663
 */

#include	"des.h"
#include	"config.h"
#include	"tab_parity.h"
#include	"version.h"

/*
 * des_fixup_key_parity
 *
 *	Adjusts the parity bits in a key.
 */

int	des_fixup_key_parity(
#ifdef __STDC__
	des_cblock *key)
#else
	key)
des_cblock	*key;
#endif
{
	(*key)[0] = parity_tab[(*key)[0]];
	(*key)[1] = parity_tab[(*key)[1]];
	(*key)[2] = parity_tab[(*key)[2]];
	(*key)[3] = parity_tab[(*key)[3]];
	(*key)[4] = parity_tab[(*key)[4]];
	(*key)[5] = parity_tab[(*key)[5]];
	(*key)[6] = parity_tab[(*key)[6]];
	(*key)[7] = parity_tab[(*key)[7]];

	return 0;
}
